- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CJPEGImage Class Reference

Inheritance diagram for Exponent::GUI::Graphics::CJPEGImage:

List of all members.

## Detailed Description

A jpeg image.

Date:
  03/02/2007

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CJPEGImage.hpp,v 1.2 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CJPEGImage.hpp.

## Public Member Functions

- CJPEGImage ()
- CJPEGImage (const CSystemString &filename)
- virtual EImageFormats getImageFormat () const
- virtual bool loadFromFile (const CSystemString &filename)
- virtual ~CJPEGImage ()

## Static Public Member Functions

- static CJPEGImage * getNewInstance (const CSystemString &path, const CString &filename)

## Constructor & Destructor Documentation

Exponent::GUI::Graphics::CJPEGImage::CJPEGImage | ( | const CSystemString & | filename | ) |

Construction with a file name

Parameters:

  | filename | Name of the file to load

Exceptions:

  | CException | On load error

Exponent::GUI::Graphics::CJPEGImage::CJPEGImage | ( |  | ) |

Construction

virtual Exponent::GUI::Graphics::CJPEGImage::~CJPEGImage | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual EImageFormats Exponent::GUI::Graphics::CJPEGImage::getImageFormat | ( |  | ) | const`[inline, virtual]`

Get the format

Return values:

  | EImageFormats | The format of the image

Implements Exponent::GUI::Graphics::IImage.

Definition at line 67 of file CJPEGImage.hpp.

References Exponent::GUI::Graphics::IImage::e_jpeg.

static CJPEGImage* Exponent::GUI::Graphics::CJPEGImage::getNewInstance | ( | const CSystemString & | path,
|  | const CString & | filename |
| ) |  |  | `[static]`

Get a new JPG image instance

Parameters:

  | path | The containing folder of the image
  | filename | the name of the file

Return values:

  | CJPEGImage* | The new instance or NULL on error

virtual bool Exponent::GUI::Graphics::CJPEGImage::loadFromFile | ( | const CSystemString & | filename | ) | `[virtual]`

Load from a file

Parameters:

  | filename | The name of the file

Return values:

  | bool | True if loaded the image properly, false on error

Reimplemented from Exponent::GUI::Graphics::CBaseImage.